Loading...
Searching...
No Matches
encode_cxx.h File Reference
JPEG XL library (libjxl) » C++ helpers

C++ header-only helper for encode.h. More...

`#include <jxl/encode.h>`
`#include <jxl/memory_manager.h>`
`#include <memory>`
Include dependency graph for encode_cxx.h:

Go to the source code of this file.

## Classes

struct | JxlEncoderDestroyStruct
| Struct to call JxlEncoderDestroy from the JxlEncoderPtr unique_ptr. More...

## Typedefs

typedef std::unique_ptr< JxlEncoder, JxlEncoderDestroyStruct > | JxlEncoderPtr

## Detailed Description

C++ header-only helper for encode.h.

There's no binary library associated with the header since this is a header only library.